Skip site navigation (1)Skip section navigation (2)
Date:      Wed, 24 Apr 2019 23:51:12 +0000 (UTC)
From:      Ian Lepore <ian@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-all@freebsd.org, svn-src-head@freebsd.org
Subject:   svn commit: r346652 - head/tools/boot
Message-ID:  <201904242351.x3ONpC2s081204@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: ian
Date: Wed Apr 24 23:51:12 2019
New Revision: 346652
URL: https://svnweb.freebsd.org/changeset/base/346652

Log:
  Complain and exit the script if the 'make install' phase fails.  Also,
  there is no need to install any debug files.

Modified:
  head/tools/boot/rootgen.sh

Modified: head/tools/boot/rootgen.sh
==============================================================================
--- head/tools/boot/rootgen.sh	Wed Apr 24 23:35:10 2019	(r346651)
+++ head/tools/boot/rootgen.sh	Wed Apr 24 23:51:12 2019	(r346652)
@@ -783,7 +783,11 @@ EOF
 # XXX
 cp /boot/device.hints ${DESTDIR}/boot/device.hints
 # Assume we're already built
-make install DESTDIR=${DESTDIR} MK_MAN=no MK_INSTALL_AS_USER=yes
+make install DESTDIR=${DESTDIR} MK_MAN=no MK_INSTALL_AS_USER=yes WITHOUT_DEBUG_FILES=yes
+if [ $? -ne 0 ]; then
+        echo "make install failed"
+        exit 1
+fi
 # Copy init, /bin/sh, minimal libraries and testing /etc/rc
 mkdir -p ${DESTDIR}/sbin ${DESTDIR}/bin \
       ${DESTDIR}/lib ${DESTDIR}/libexec \



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201904242351.x3ONpC2s081204>